<template>
    <select
        class="uk-select"
        data-uk-form-select
        :value="value"
        @change="$emit('input', $event.target.value)"
    >
        <option>50k</option>
        <option>49k</option>
        <option>48k</option>
        <option>47k</option>
        <option>46k</option>
        <option>45k</option>
        <option>44k</option>
        <option>43k</option>
        <option>42k</option>
        <option>41k</option>
        <option>40k</option>
        <option>39k</option>
        <option>38k</option>
        <option>37k</option>
        <option>36k</option>
        <option>35k</option>
        <option>34k</option>
        <option>33k</option>
        <option>32k</option>
        <option>32k</option>
        <option>31k</option>
        <option>30k</option>
        <option>29k</option>
        <option>28k</option>
        <option>27k</option>
        <option>26k</option>
        <option>25k</option>
        <option>24k</option>
        <option>23k</option>
        <option>22k</option>
        <option>21k</option>
        <option>20k</option>
        <option>19k</option>
        <option>18k</option>
        <option>17k</option>
        <option>16k</option>
        <option>15k</option>
        <option>14k</option>
        <option>13k</option>
        <option>12k</option>
        <option>11k</option>
        <option>10k</option>
        <option>9k</option>
        <option>8k</option>
        <option>7k</option>
        <option>6k</option>
        <option>5k</option>
        <option>4k</option>
        <option>3k</option>
        <option>2k</option>
        <option>1k</option>
        <option>1d</option>
        <option>2d</option>
        <option>3d</option>
        <option>4d</option>
        <option>5d</option>
        <option>6d</option>
        <option>7d</option>
        <option>8d</option>
    </select>
</template>

<script lang="ts">
import Vue from 'vue';
import { Component, Prop } from 'vue-property-decorator';
@Component
export default class ListeNiveaux extends Vue {
    @Prop() value;
}
</script>
